Bug 9586 - smbd[29175]: disk_free: sys_popen() failed" message logged in /var/log/message many times.
smbd[29175]: disk_free: sys_popen() failed" message logged in /var/log/messag...
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.16
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 18:51 UTC by Grace Chen
Modified: 2013-01-30 20:46 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.0.x and 2.6.x (979 bytes, patch)
2013-01-23 22:40 UTC, Jeremy Allison
metze: review+
vl: review+
jra: review? (ddiss)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Grace Chen 2013-01-23 18:51:39 UTC
We use dfree.sh script in smb.conf.

 dfree command = /opt/VRTSnasgw/scripts/dfree.sh "%D" "%U"

When this script in invoked by smbd, we see many error messages shown up in /var/log/messages as following:

2012 Dec  7 10:42:50 sfss90_02 smbd[11025]: [2012/12/07 10:42:50.421541,  0] smbd/dfree.c:126(sys_disk_free)
2012 Dec  7 10:42:50 sfss90_02 smbd[11025]:   disk_free: sys_popen() failed for command /opt/VRTSnasgw/scripts/dfree.sh \"SFS-TEST1\" \"host236u10\" .. Error was : No child processes

It seems that sys_popen() fails to handle some signals. Could you please help investigate?

We found the issue on 3.5.16, however, further testing showed that same issue exists in 3.5.19, and 3.6.8 as well.

Thanks.
-Grace Chen @Symantec
Comment 1 Jeremy Allison 2013-01-23 22:40:39 UTC
Created attachment 8473 [details]
git-am fix for 4.0.x and 2.6.x
Comment 2 Jeremy Allison 2013-01-23 23:32:55 UTC
Comment on attachment 8473 [details]
git-am fix for 4.0.x and 2.6.x

Also applies to 3.6.next.

Jeremy.
Comment 3 Jeremy Allison 2013-01-25 22:21:31 UTC
Comment on attachment 8473 [details]
git-am fix for 4.0.x and 2.6.x

Already went into master, just need a +1 for 4.0.x and 3.6.next (patch applies cleanly to both branches).
Comment 4 Stefan Metzmacher 2013-01-26 13:36:40 UTC
Comment on attachment 8473 [details]
git-am fix for 4.0.x and 2.6.x

Looks, good.

Karolin, please cherry-pick
-x 497febfe36354c4aff3696cd32c6c7e8fee55af8
Comment 5 Karolin Seeger 2013-01-28 10:16:42 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-01-28 19:09:57 UTC
Pushed to v3-6-test and v4-0-test.
Closing out bug report.

Thanks!